Min
Statistical Operations

Primitives for computing the minimal pixel value of an image. More...

## Min

The scratch buffer is required by the min functions.

### Common parameters for nppiMin functions include:

Parameters

  pSrc | Source-Image Pointer.
  nSrcStep | Source-Image Line Step.
  oSizeROI | Region-of-Interest (ROI).
  pDeviceBuffer | Pointer to the required device memory allocation, Scratch Buffer and Host Pointer. Use nppiMinGetBufferHostSize_XX_XXX to determine the minium number of bytes required.
  pMin | Pointer to the computed min.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes

NppStatus | nppiMin_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u *pMin, NppStreamContext nppStreamCtx)
| One-channel 8-bit unsigned image min. More...
NppStatus | nppiMin_8u_C1R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u *pMin)
NppStatus | nppiMin_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u *pMin, NppStreamContext nppStreamCtx)
| One-channel 16-bit unsigned image min. More...
NppStatus | nppiMin_16u_C1R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u *pMin)
NppStatus | nppiMin_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s *pMin, NppStreamContext nppStreamCtx)
| One-channel 16-bit signed image min. More...
NppStatus | nppiMin_16s_C1R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s *pMin)
NppStatus | nppiMin_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f *pMin, NppStreamContext nppStreamCtx)
| One-channel 32-bit floating point image min. More...
NppStatus | nppiMin_32f_C1R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f *pMin)
NppStatus | nppiMin_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[3], NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned image min. More...
NppStatus | nppiMin_8u_C3R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[3])
NppStatus | nppiMin_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned image min. More...
NppStatus | nppiMin_16u_C3R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[3])
NppStatus | nppiMin_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[3], NppStreamContext nppStreamCtx)
| Three-channel 16-bit signed image min. More...
NppStatus | nppiMin_16s_C3R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[3])
NppStatus | nppiMin_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[3], NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating point image min. More...
NppStatus | nppiMin_32f_C3R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[3])
NppStatus | nppiMin_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[4], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image min. More...
NppStatus | nppiMin_8u_C4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[4])
NppStatus | nppiMin_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[4], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image min. More...
NppStatus | nppiMin_16u_C4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[4])
NppStatus | nppiMin_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[4], NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image min. More...
NppStatus | nppiMin_16s_C4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[4])
NppStatus | nppiMin_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[4], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image min. More...
NppStatus | nppiMin_32f_C4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[4])
NppStatus | nppiMin_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[3], NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned image min ignoring alpha channel. More...
NppStatus | nppiMin_8u_AC4R (const Npp8u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp8u aMin[3])
NppStatus | nppiMin_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned image min ignoring alpha channel. More...
NppStatus | nppiMin_16u_AC4R (const Npp16u *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16u aMin[3])
NppStatus | nppiMin_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[3], NppStreamContext nppStreamCtx)
| Four-channel 16-bit signed image min ignoring alpha channel. More...
NppStatus | nppiMin_16s_AC4R (const Npp16s *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp16s aMin[3])
NppStatus | nppiMin_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[3], NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating point image min ignoring alpha channel. More...
NppStatus | nppiMin_32f_AC4R (const Npp32f *pSrc, int nSrcStep, NppiSize oSizeROI, Npp8u *pDeviceBuffer, Npp32f aMin[3])

## MinGetBufferHostSize

Companion primitives for computing the device buffer size (in bytes) required by the min primitives.
NppStatus | nppiMinGetBufferHostSize_8u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_8u_C1R. More...
NppStatus | nppiMinGetBufferHostSize_8u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16u_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16u_C1R. More...
NppStatus | nppiMinGetBufferHostSize_16u_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16s_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16s_C1R. More...
NppStatus | nppiMinGetBufferHostSize_16s_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_32f_C1R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_32f_C1R. More...
NppStatus | nppiMinGetBufferHostSize_32f_C1R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_8u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_8u_C3R. More...
NppStatus | nppiMinGetBufferHostSize_8u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16u_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16u_C3R. More...
NppStatus | nppiMinGetBufferHostSize_16u_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16s_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16s_C3R. More...
NppStatus | nppiMinGetBufferHostSize_16s_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_32f_C3R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_32f_C3R. More...
NppStatus | nppiMinGetBufferHostSize_32f_C3R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_8u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_8u_C4R. More...
NppStatus | nppiMinGetBufferHostSize_8u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16u_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16u_C4R. More...
NppStatus | nppiMinGetBufferHostSize_16u_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16s_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16s_C4R. More...
NppStatus | nppiMinGetBufferHostSize_16s_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_32f_C4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_32f_C4R. More...
NppStatus | nppiMinGetBufferHostSize_32f_C4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_8u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_8u_AC4R. More...
NppStatus | nppiMinGetBufferHostSize_8u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16u_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16u_AC4R. More...
NppStatus | nppiMinGetBufferHostSize_16u_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_16s_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_16s_AC4R. More...
NppStatus | nppiMinGetBufferHostSize_16s_AC4R (NppiSize oSizeROI, int *hpBufferSize)
NppStatus | nppiMinGetBufferHostSize_32f_AC4R_Ctx (NppiSize oSizeROI, int *hpBufferSize, NppStreamContext nppStreamCtx)
| Buffer size for nppiMin_32f_AC4R. More...
NppStatus | nppiMinGetBufferHostSize_32f_AC4R (NppiSize oSizeROI, int *hpBufferSize)

## Detailed Description

Primitives for computing the minimal pixel value of an image.

## Function Documentation

NppStatus nppiMin_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[3]
| ) |  |

NppStatus nppiMin_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image min ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s * | pMin
| ) |  |

NppStatus nppiMin_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s * | pMin,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit signed image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[3]
| ) |  |

NppStatus nppiMin_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit signed image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[4]
| ) |  |

NppStatus nppiMin_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16s | aMin[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit signed image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[3]
| ) |  |

NppStatus nppiMin_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image min ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u * | pMin
| ) |  |

NppStatus nppiMin_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u * | pMin,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 16-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[3]
| ) |  |

NppStatus nppiMin_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[4]
| ) |  |

NppStatus nppiMin_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp16u | aMin[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[3]
| ) |  |

NppStatus nppiMin_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image min ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f * | pMin
| ) |  |

NppStatus nppiMin_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f * | pMin,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 32-bit floating point image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[3]
| ) |  |

NppStatus nppiMin_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating point image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[4]
| ) |  |

NppStatus nppiMin_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp32f | aMin[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating point image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[3]
| ) |  |

NppStatus nppiMin_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image min ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u * | pMin
| ) |  |

NppStatus nppiMin_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u * | pMin,
|  | NppStreamContext | nppStreamCtx
| ) |  |

One-channel 8-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[3]
| ) |  |

NppStatus nppiMin_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[3],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMin_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[4]
| ) |  |

NppStatus nppiMin_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | NppiSize | oSizeROI,
|  | Npp8u * | pDeviceBuffer,
|  | Npp8u | aMin[4],
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned image min.

For common parameter descriptions, see Common parameters for nppiMin functions.

NppStatus nppiMinGetBufferHostSize_16s_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16s_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16s_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16s_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16s_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16s_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16s_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16s_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16s_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16s_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16s_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16s_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_16u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_16u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_16u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_32f_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_32f_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_32f_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_32f_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_32f_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_32f_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_32f_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_32f_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_32f_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_32f_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_32f_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_32f_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_8u_AC4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_8u_AC4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_8u_AC4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_8u_C1R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_8u_C1R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_8u_C1R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_8u_C3R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_8u_C3R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_8u_C3R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

NppStatus nppiMinGetBufferHostSize_8u_C4R | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize
| ) |  |

NppStatus nppiMinGetBufferHostSize_8u_C4R_Ctx | ( | NppiSize | oSizeROI,
|  | int * | hpBufferSize,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Buffer size for nppiMin_8u_C4R.

For common parameter descriptions, see CommonGetBufferHostSizeParameters.

Copyright © 2009-2018 NVIDIA Corporation